---
title: "Remove a contact's photo"
description: "DELETE /contacts/{contact_id}/contact_photo — Removes a contact's photo and returns the updated contact, whose photo_url is then empty. No placeholder or default avatar is substituted by the API."
canonical_url: https://developer.onepagecrm.com/api/reference/contacts/delete-contacts-contact_id-contact_photo/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/contacts/delete-contacts-contact_id-contact_photo/
---

`DELETE /contacts/{contact_id}/contact_photo`

Removes a contact's photo and returns the updated contact, whose photo_url is then empty. No placeholder or default avatar is substituted by the API.

Resource: [Contacts](https://developer.onepagecrm.com/api/reference/contacts/) · [API Reference](https://developer.onepagecrm.com/api/reference/)

## Request

```bash
curl -X DELETE "https://app.onepagecrm.com/api/v3/contacts/{contact_id}/contact_photo" \
  -u $user_id:$api_key
```

Authentication is HTTP Basic — `user_id` as username, `api_key` as password.
See https://developer.onepagecrm.com/api/authentication/.

## Path parameters

| Name | Type | Description |
| --- | --- | --- |
| `contact_id` | string | Contact ID |

## Responses

### 200

OK

```json
{
  "status": 0,
  "message": "OK",
  "timestamp": 1528373119,
  "data": {
    "contact": {
      "id": "5aba31ea9007ba0f570c92d4",
      "title": "Mr",
      "first_name": "Joe",
      "last_name": "Bloggs",
      "job_title": "Engineer",
      "starred": true,
      "photo_url": "https://{foo.bar}/joe-bloggs.jpg",
      "company_id": "5aba31ea9007ba0f570c92d5",
      "company_name": "Morgan's Forensic Lab",
      "urls": [
        {
          "type": "linkedin",
          "value": "https://www.linkedin.com/{joe.bloggs}"
        }
      ],
      "phones": [
        {
          "type": "work",
          "value": "(912) 644-1770"
        }
      ],
      "emails": [
        {
          "type": "work",
          "value": "joe.bloggs@example.com"
        }
      ],
      "address_list": [
        {
          "address": "Unit 5, Business Innovation Centre",
          "city": "Upper Newcastle",
          "state": "Galway",
          "zip_code": "H91 Y0T0",
          "country_code": "IE",
          "type": "delivery"
        }
      ],
      "status": "Prospect",
      "status_id": "5e31e030849d781e837b6ba1",
      "tags": [
        "Java",
        "Android",
        "iOS"
      ],
      "lead_source_id": "email_web",
      "lead_source": "Email or Web",
      "background": "I met Joe Bloggs at the annual Eco Conference in Florida. Her company currently provides solar panels (along with a lot of other stuff) to the State Government of California, Nevada, Oregon, Arizona and Utah for capital building projects. Her current supplier is crazy expensive! I've asked to be able to tender for their next order.",
      "owner_id": "5aba31e99007ba0f570c92a5",
      "custom_fields": [
        {
          "custom_field": {
            "id": "5aad9b039007ba18c9ebad13",
            "name": "Favorite season",
            "type": "select_box",
            "position": 2,
            "choices": [
              "Spring",
              "Summer",
              "Autumn",
              "Winter"
            ]
          },
          "value": "Summer"
        }
      ],
      "letter": "b",
      "pending_deal": true,
      "total_pendings": 999.99,
      "total_deals_count": 3,
      "company_size": 1,
      "sales_closed_for": [
        "5aba31e99007ba0f570c12f7"
      ],
      "closed_sales": [
        {
          "user_id": "5aba31e99007ba0f570c12f7",
          "closed_at": 1524818902,
          "comment": "Client is no longer interested"
        }
      ],
      "google_contacts_data": {
        "account_email": "jane.doe@example.com",
        "id": "342c5b5c08d4b0b2",
        "saved_at": 1522840153
      },
      "created_at": "2018-05-16T11:52:09Z",
      "modified_at": "2018-05-16T11:52:09Z"
    }
  }
}
```

Standard error responses: 400, 401, 403, 404, 409, 500 — shared across the API. See https://developer.onepagecrm.com/api/errors/.

## Related guides

- [Authentication](https://developer.onepagecrm.com/api/authentication/)
- [Errors](https://developer.onepagecrm.com/api/errors/)
- [Rate limits](https://developer.onepagecrm.com/api/rate-limits/)
- [Undo deletion](https://developer.onepagecrm.com/api/undo-deletion/)
